> ## Documentation Index
> Fetch the complete documentation index at: https://camelai.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete data source

> Soft delete a connection.



## OpenAPI

````yaml https://api.camelai.com/api/schema/ delete /api/v1/sources/{id}/
openapi: 3.0.3
info:
  title: camelAI API
  version: 1.0.0 (v1)
  description: API for camelAI - AI-powered data analytics platform
servers:
  - url: https://api.camelai.com
    description: camelAI API server
security: []
paths:
  /api/v1/sources/{id}/:
    delete:
      tags:
        - sources
      summary: Delete data source
      description: Soft delete a connection.
      operationId: sources_destroy
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
        - in: path
          name: pk
          schema:
            type: integer
          description: ID of the source to delete
          required: true
      responses:
        '204':
          content:
            application/json:
              schema:
                description: No content - source deleted successfully
          description: ''
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    description: Not found error message
          description: ''
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      description: API key authentication using Bearer scheme

````